Backslash escapes applied in the chat log

Bug #1068242 reported by Kevin on 2012-10-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Empathy
Fix Released
Medium
empathy (Ubuntu)
Undecided
Unassigned

Bug Description

When viewing the chat log, and someone sends me text containing what would be considered a backslash escape in most programming languages, the escapes will be applied.

For example, the UNC Path "\\servername\c$\source" is displayed as "\sw01-v2-1c$Source" in the chat log. As you might imagine, this can get annoying - especially when sending data like Windows paths, which are usually chock-full of backslashes.

I tested the standard escapes like \n, \r, and \t
If I send someone the text "1\\2\n3\r4\r\n5\t6\\?", this is shown in the log:
1\2
3
4
5 6\?
Strangely, in the faded "last chat" that's shown when you talk to someone whom you have talked to before, the text is intact - no escapes are applied.

Please sanitize these strings before they are displayed in the log ;-)

The important info in a nutshell:
Ubuntu Version: Precise Pangolin 12.04 64-bit
Empathy Version: 3.4.2.3-0ubuntu1
What I expected to happen: My chat's backslashes to be preserved when viewing in the log
What happened instead: My chat's text is having backslash escapes applied

Just to be sure, I tested this bug in multiple protocols. It is present in the Google Talk, Facebook, and SIPE protocol chat history. I assume it is a bug of the log viewer itself. To be honest, I'm surprised this has gone unnoticed for so long.

Thank you,
 - Kupiakos

Bilal Shahid (s9iper1) wrote :

thanks for the bug report
please attach the screenshot with the bug.?
any visuals ?

Changed in empathy (Ubuntu):
status: New → Incomplete
Kevin (kupiakos) wrote :

Screenshot of the issue. This is the SIPe plugin occurrence of the error, but I'm pretty positive the log method is protocol-independent.

Kevin (kupiakos) wrote :

Er, I added the screenshot a while ago. Any news on this?

Changed in empathy:
importance: Unknown → Medium
status: Unknown → New
Changed in empathy:
status: New → Fix Released
Changed in empathy:
status: Fix Released → New
Changed in empathy:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package empathy - 3.8.4-1ubuntu1

---------------
empathy (3.8.4-1ubuntu1) saucy; urgency=low

  * Merge with Debian (LP: #1068242), remaining changes:
    - debian/patches/00_linker-fixes.patch
    - debian/patches/10_use_notify_osd_icons.patch
    - debian/patches/23_idomessagedialog_for_voip_and_ft.patch
    - debian/patches/34_start_raised_execpt_in_session.patch
    - debian/patches/38_default_to_facebook_for_im.patch
    - debian/patches/39_default_to_freenode_for_irc.patch
    - debian/patches/41_unity_launcher_progress.patch
    - debian/patches/42_shell_running.patch
    - debian/patches/43_quicklists.patch
    - debian/patches/47_git_activate_with_platform_data.patch: Patches kept,
      see newly completed patch headers for descriptions.
    - debian/patches/include-empathy-keyring.h: fix implicit declaration of
      empathy_keyring_set_account_password_finish and co by including the right
      header.
    - debian/patches/ubuntu_launch_uoa_panel.patch:
      + Only launch UOA panel when running a Unity session.
    - debian/*: Turn on UOA and split out account plugins into
      account-plugins-* and mcp-account-manager-goa/uoa packages.
    - Remove Universe Build-Deps for geocode and champlain and disable these
      features.
    - debian/indicators/empathy: Install indicator integration point.
    - debian/control:
      + Replace/Conflict/Provide empathy-call
      + Recommend gnome-contacts

empathy (3.8.4-1) experimental; urgency=low

  * New upstream release
    - debian/shlibs.local: Bump version of the libraries

empathy (3.8.3-2) experimental; urgency=low

  * debian/control: Fix Homepage URL
  * debian/rules: Properly set extra LDFLAGS to not override hardening ones
  * debian/rules: Re-enable cheese support
  * debian/control, debian/rules: Re-enable libchamplain support
  * debian/rules: Call dh-autoreconf with --as-needed option
  * debian/control, debian/rules: Re-enable geoclue and geocode support
  * debian/patches/*: Port to the released 0.99.1 version of geocode-glib
  * debian/control: Drop gnome-doc-utils build-dependency (Closes: #717539)

empathy (3.8.3-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control:
    + Drop obsolete rarian-compat and librarian-dev build
      dependencies.

  [ Simon McVittie ]
  * New upstream release
    - fixes a crash when displaying Google Talk vCards now that they
      can contain a read-only <URL> field, which telepathy-gabble does not
      flag as supported (Closes: #706900)

  [ Laurent Bigonville ]
  * New upstream release (3.8.3)
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no further changes)
    - Use canonical URL for the VCS fields
  * debian/rules: Exclude /usr/lib/mission-control-plugins.0/ and
    /usr/lib/empathy from dh_makeshlibs call
  * Add debian/shlibs.local file for private libraries and look for the
    privates libs in empathy package during build.
 -- Jeremy Bicha <email address hidden> Mon, 09 Sep 2013 21:21:54 -0400

Changed in empathy (Ubuntu):
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments

Remote bug watches

Bug watches keep track of this bug in other bug trackers.